> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace secret

> Replaces the current account's client secret with a new client secret.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json post /v1/accounts/{accountId}/secret
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/accounts/{accountId}/secret:
    post:
      tags:
        - accounts
      summary: Replace secret
      description: Replaces the current account's client secret with a new client secret.
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSecretResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateSecretResponse:
      required:
        - clientSecret
      type: object
      properties:
        clientSecret:
          type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        message:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````